##### basic_file::basic_file (7 of 10 overloads)

Construct a `basic_file` on an existing native file handle.

    basic_file(
        const executor_type & ex,
        const native_handle_type & native_file);

This constructor initialises a file object to hold an existing native file.

###### Parameters

ex

  The I/O executor that the file will use, by default, to dispatch handlers for any asynchronous operations performed on the file.

native_file

  A native file handle.

###### Exceptions

asio::system_error

  Thrown on failure.